Skip to content

List end user conversations

Request

Lists conversations requested by an end user.
Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the GET /conversations/{conversationId} endpoint

Security
ApiKeyAuth
Path
userIdstring, (uuid)required
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

GET
/v1/endusers/{userId}/conversations
curl -i -X GET \
  'https://dev.dixa.io/v1/endusers/{userId}/conversations?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The list of conversations requested by an EndUser

Bodyapplication/json
dataArray of any(Conversation)
metaobject(PaginationLinks)
Response
{ "data": [ {} ] }